package com.ruoyi.school.paper.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.List;

/**
 * <p>created in  2023/7/21 16:41
 *
 * @author WangMin
 * @version 1.0
 */
@Data
public class TestQuestionItemVo {

    /**
     * 题目ID
     */
    private Long id;
    /**
     * 题目
     */
    private String topic;

    /**
     * 我的答案
     */
    private String answer;

    /**
     * 选择题选项
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<OptionsVo> options;

}
